Skip to main content
Back to API List Used to delete data from a Data Table.
PropertyValue
MethodDELETE
Endpointhttps://{{host}}/api/public/tables/{{tableName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
App AccessRead and Delete access to the Data Table from the Data Definition in DaaS. For more information, see app assignment for accessing the data in a table and Data as a Service.

Path Parameters

ParameterDescription
hostEnvironment URL, for example, https://platform.kore.ai
tableNameName of the table to delete data from

Sample Request

curl -X DELETE \
  https://{{host}}/api/public/tables/{{tableName}} \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json' \
  -d '{
      "query":{
        "expressions": [
          {"field": "firstName", "operand": "=", "value": "Jane"},
          {"field": "lastName", "operand": "=", "value": "Doe"}
        ],
        "operator": "and"
      }
}'

Body Parameters

ParameterDescription
queryFilter criteria identifying the row(s) to delete. Structure: "query": { "expressions": [ {"field": "<col1_name>", "operand": "=/!=/</>"," value": "<value1>"}, {"field": "<col2_name>", "operand": "=/!=/</>"," value": "<value2>"} ], "operator": "and/or" }

Sample Response

{
   "nDeleted": 1
}